# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /Applications/CMake.app/Contents/bin/cmake

# The command to remove a file.
RM = /Applications/CMake.app/Contents/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/moye/code/Design

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/moye/code/Design/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/Applications/CMake.app/Contents/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/Applications/CMake.app/Contents/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles /Users/moye/code/Design/build//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/moye/code/Design/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named simpleFactory

# Build rule for target.
simpleFactory: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 simpleFactory
.PHONY : simpleFactory

# fast build rule for target.
simpleFactory/fast:
	$(MAKE) $(MAKESILENT) -f SimpleFactory/CMakeFiles/simpleFactory.dir/build.make SimpleFactory/CMakeFiles/simpleFactory.dir/build
.PHONY : simpleFactory/fast

#=============================================================================
# Target rules for targets named factoryMethod

# Build rule for target.
factoryMethod: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 factoryMethod
.PHONY : factoryMethod

# fast build rule for target.
factoryMethod/fast:
	$(MAKE) $(MAKESILENT) -f factoryMethod/CMakeFiles/factoryMethod.dir/build.make factoryMethod/CMakeFiles/factoryMethod.dir/build
.PHONY : factoryMethod/fast

#=============================================================================
# Target rules for targets named abstractFactory

# Build rule for target.
abstractFactory: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 abstractFactory
.PHONY : abstractFactory

# fast build rule for target.
abstractFactory/fast:
	$(MAKE) $(MAKESILENT) -f abstractFactory/CMakeFiles/abstractFactory.dir/build.make abstractFactory/CMakeFiles/abstractFactory.dir/build
.PHONY : abstractFactory/fast

#=============================================================================
# Target rules for targets named builder

# Build rule for target.
builder: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 builder
.PHONY : builder

# fast build rule for target.
builder/fast:
	$(MAKE) $(MAKESILENT) -f builder/CMakeFiles/builder.dir/build.make builder/CMakeFiles/builder.dir/build
.PHONY : builder/fast

#=============================================================================
# Target rules for targets named singleton

# Build rule for target.
singleton: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 singleton
.PHONY : singleton

# fast build rule for target.
singleton/fast:
	$(MAKE) $(MAKESILENT) -f singleton/CMakeFiles/singleton.dir/build.make singleton/CMakeFiles/singleton.dir/build
.PHONY : singleton/fast

#=============================================================================
# Target rules for targets named clone

# Build rule for target.
clone: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clone
.PHONY : clone

# fast build rule for target.
clone/fast:
	$(MAKE) $(MAKESILENT) -f clone/CMakeFiles/clone.dir/build.make clone/CMakeFiles/clone.dir/build
.PHONY : clone/fast

#=============================================================================
# Target rules for targets named proxy

# Build rule for target.
proxy: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 proxy
.PHONY : proxy

# fast build rule for target.
proxy/fast:
	$(MAKE) $(MAKESILENT) -f proxy/CMakeFiles/proxy.dir/build.make proxy/CMakeFiles/proxy.dir/build
.PHONY : proxy/fast

#=============================================================================
# Target rules for targets named bridge

# Build rule for target.
bridge: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 bridge
.PHONY : bridge

# fast build rule for target.
bridge/fast:
	$(MAKE) $(MAKESILENT) -f bridge/CMakeFiles/bridge.dir/build.make bridge/CMakeFiles/bridge.dir/build
.PHONY : bridge/fast

#=============================================================================
# Target rules for targets named decorator

# Build rule for target.
decorator: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 decorator
.PHONY : decorator

# fast build rule for target.
decorator/fast:
	$(MAKE) $(MAKESILENT) -f decorator/CMakeFiles/decorator.dir/build.make decorator/CMakeFiles/decorator.dir/build
.PHONY : decorator/fast

#=============================================================================
# Target rules for targets named adapter

# Build rule for target.
adapter: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 adapter
.PHONY : adapter

# fast build rule for target.
adapter/fast:
	$(MAKE) $(MAKESILENT) -f adapter/CMakeFiles/adapter.dir/build.make adapter/CMakeFiles/adapter.dir/build
.PHONY : adapter/fast

#=============================================================================
# Target rules for targets named facade

# Build rule for target.
facade: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 facade
.PHONY : facade

# fast build rule for target.
facade/fast:
	$(MAKE) $(MAKESILENT) -f facade/CMakeFiles/facade.dir/build.make facade/CMakeFiles/facade.dir/build
.PHONY : facade/fast

#=============================================================================
# Target rules for targets named composite

# Build rule for target.
composite: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 composite
.PHONY : composite

# fast build rule for target.
composite/fast:
	$(MAKE) $(MAKESILENT) -f composite/CMakeFiles/composite.dir/build.make composite/CMakeFiles/composite.dir/build
.PHONY : composite/fast

#=============================================================================
# Target rules for targets named flyWeight

# Build rule for target.
flyWeight: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 flyWeight
.PHONY : flyWeight

# fast build rule for target.
flyWeight/fast:
	$(MAKE) $(MAKESILENT) -f flyweight/CMakeFiles/flyWeight.dir/build.make flyweight/CMakeFiles/flyWeight.dir/build
.PHONY : flyWeight/fast

#=============================================================================
# Target rules for targets named observer

# Build rule for target.
observer: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 observer
.PHONY : observer

# fast build rule for target.
observer/fast:
	$(MAKE) $(MAKESILENT) -f observer/CMakeFiles/observer.dir/build.make observer/CMakeFiles/observer.dir/build
.PHONY : observer/fast

#=============================================================================
# Target rules for targets named template

# Build rule for target.
template: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 template
.PHONY : template

# fast build rule for target.
template/fast:
	$(MAKE) $(MAKESILENT) -f template/CMakeFiles/template.dir/build.make template/CMakeFiles/template.dir/build
.PHONY : template/fast

#=============================================================================
# Target rules for targets named strategy

# Build rule for target.
strategy: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 strategy
.PHONY : strategy

# fast build rule for target.
strategy/fast:
	$(MAKE) $(MAKESILENT) -f strategy/CMakeFiles/strategy.dir/build.make strategy/CMakeFiles/strategy.dir/build
.PHONY : strategy/fast

#=============================================================================
# Target rules for targets named chainOfResponsibility

# Build rule for target.
chainOfResponsibility: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 chainOfResponsibility
.PHONY : chainOfResponsibility

# fast build rule for target.
chainOfResponsibility/fast:
	$(MAKE) $(MAKESILENT) -f chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/build.make chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/build
.PHONY : chainOfResponsibility/fast

#=============================================================================
# Target rules for targets named state

# Build rule for target.
state: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 state
.PHONY : state

# fast build rule for target.
state/fast:
	$(MAKE) $(MAKESILENT) -f state/CMakeFiles/state.dir/build.make state/CMakeFiles/state.dir/build
.PHONY : state/fast

#=============================================================================
# Target rules for targets named iterator

# Build rule for target.
iterator: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 iterator
.PHONY : iterator

# fast build rule for target.
iterator/fast:
	$(MAKE) $(MAKESILENT) -f iterator/CMakeFiles/iterator.dir/build.make iterator/CMakeFiles/iterator.dir/build
.PHONY : iterator/fast

#=============================================================================
# Target rules for targets named visitor

# Build rule for target.
visitor: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 visitor
.PHONY : visitor

# fast build rule for target.
visitor/fast:
	$(MAKE) $(MAKESILENT) -f visitor/CMakeFiles/visitor.dir/build.make visitor/CMakeFiles/visitor.dir/build
.PHONY : visitor/fast

#=============================================================================
# Target rules for targets named memento

# Build rule for target.
memento: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 memento
.PHONY : memento

# fast build rule for target.
memento/fast:
	$(MAKE) $(MAKESILENT) -f memento/CMakeFiles/memento.dir/build.make memento/CMakeFiles/memento.dir/build
.PHONY : memento/fast

#=============================================================================
# Target rules for targets named command

# Build rule for target.
command: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 command
.PHONY : command

# fast build rule for target.
command/fast:
	$(MAKE) $(MAKESILENT) -f command/CMakeFiles/command.dir/build.make command/CMakeFiles/command.dir/build
.PHONY : command/fast

#=============================================================================
# Target rules for targets named interpreter

# Build rule for target.
interpreter: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 interpreter
.PHONY : interpreter

# fast build rule for target.
interpreter/fast:
	$(MAKE) $(MAKESILENT) -f interpreter/CMakeFiles/interpreter.dir/build.make interpreter/CMakeFiles/interpreter.dir/build
.PHONY : interpreter/fast

#=============================================================================
# Target rules for targets named mediator

# Build rule for target.
mediator: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mediator
.PHONY : mediator

# fast build rule for target.
mediator/fast:
	$(MAKE) $(MAKESILENT) -f mediator/CMakeFiles/mediator.dir/build.make mediator/CMakeFiles/mediator.dir/build
.PHONY : mediator/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... abstractFactory"
	@echo "... adapter"
	@echo "... bridge"
	@echo "... builder"
	@echo "... chainOfResponsibility"
	@echo "... clone"
	@echo "... command"
	@echo "... composite"
	@echo "... decorator"
	@echo "... facade"
	@echo "... factoryMethod"
	@echo "... flyWeight"
	@echo "... interpreter"
	@echo "... iterator"
	@echo "... mediator"
	@echo "... memento"
	@echo "... observer"
	@echo "... proxy"
	@echo "... simpleFactory"
	@echo "... singleton"
	@echo "... state"
	@echo "... strategy"
	@echo "... template"
	@echo "... visitor"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

